
#category .page-title-section {
    font-size: 18px;
    font-weight: 400;
    text-transform: uppercase;
}

#category #left-column {
    padding-left: 0;
    padding-right: 1rem;
}


#category .total-products {
    display: flex;
    flex-flow: row;
    flex-wrap: nowrap;
}

#category .category__title {
    margin-bottom: 0 !important;
}
#category .product-count {
    /* margin-left: 1rem; */
    color: var(--alfa-gold, #b3924a);
    font-weight: 600;
}

.products-sort-order .btn {
    white-space: nowrap;
}


.pagination.pagination--custom {
    color: var(--alfa-black, black);
}
.pagination.pagination--custom .page-item {

}
.pagination.pagination--custom .page-item .page-link {
    color: var(--alfa-black, black);

}
.pagination.pagination--custom .page-item .disabled {
    background: var(--alfa-grey, whitesmoke);
}
.pagination.pagination--custom .page-item.active > .page-link {
    background: var(--alfa-gold, #b3924a);
    border-color: var(--alfa-gold, #b3924a);
}


#category .product-miniature .card:hover {
    filter: unset;
}

#category .product-flags:empty {
    display: none;
}


/* Subcategories */
#subcategories .subcategory {
    display: flex;
    flex-flow: column;
    border: 1px solid var(--alfa-grey, whitesmoke);
    border-radius: 0;
    padding: 0 0 0.5rem 0;
    gap: 0.5rem;
}

#subcategories .subcategory__name {
    margin-left: 0;
}

#subcategories .subcategory__image {
    flex-grow: 1;
    width: 100%;
}

#subcategories .no-pic {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    aspect-ratio: 1 / 1;
}
@supports not (aspect-ratio: 1/1) {
    #subcategories .no-pic::before {
        float: left;
        padding-top: calc(1/1*100%);
        content: '';
    }
    #subcategories .no-pic::after {
        display: block;
        clear: both;
        content: '';
    }
}
#subcategories .no-pic::after {
    /* content: url('/themes/abcweb/assets/img/icons/info.svg'); */
    content: 'browse';
    color: hsl(0, 0%, 90%);

    font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    font-size: 48px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}




/* ================================== */
/*              Carousel
/* ================================== */

/* carousel */
#subcategories .carousel-element-wrapper {
    position: relative;
    width: 100%;
    margin: 0 auto;
}
#subcategories .swiper {
    width: 100%;
    height: auto;
    overflow: visible;
    max-width: calc(100% - 2 * 3rem);
    margin-left: 0;
}
#subcategories .swiper-wrapper {
    display: flex;
    align-items: stretch;
    list-style: none;
    padding: 0;
    margin: 0;
    margin-left: 3rem;
    margin-right: 3rem;
    max-width: calc(100% - 2 * 3rem);
}

/* ===== SLIDE ITEMS ===== */
#subcategories .carousel-slide-item {
    flex-shrink: 0;
    padding: 0px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
}
#subcategories .carousel-slide-item > * {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#subcategories .carousel-slide-item {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s, visibility 0.3s;
}

/* ===== NAVIGATION ARROWS ===== */
#subcategories [data-nav="false"] .swiper-button-prev,
#subcategories [data-nav="false"] .swiper-button-next {
    display: none !important;
}
#subcategories .swiper-button-prev,
#subcategories .swiper-button-next {
    position: absolute;
    z-index: 10;
    width: 19px;
    height: 19px;
    background: url('/modules/abcweb_theme/views/img/arrow.svg');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 80% 100%;
    color: #b3924a;
    /* iOS */
    color: var(--alfa-gold, goldenrod);
    opacity: 0.7;
    transition: opacity 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    cursor: pointer;
    font-size: 24px;
}
#subcategories .swiper-button-prev::after,
#subcategories .swiper-button-next::after {
    content: '';
}
#subcategories .swiper-button-prev {
    left: 1rem;
    transform: scaleX(-1);
}
#subcategories .swiper-button-next {
    /* right: 10px; */
    right: -5rem;
}
#subcategories .swiper-button-prev:hover,
#subcategories .swiper-button-next:hover {
    opacity: 1;
}

/* ===== ARROW POSITIONS ===== */
#subcategories [data-nav-position="arr-top"] .swiper-button-prev,
#subcategories [data-nav-position="arr-top"] .swiper-button-next {
    top: 0;
    margin-top: 0;
}
#subcategories [data-nav-position="arr-mid"] .swiper-button-prev,
#subcategories [data-nav-position="arr-mid"] .swiper-button-next {
    top: 50%;
    margin-top: -19px;
}
#subcategories [data-nav-position="arr-bot"] .swiper-button-prev,
#subcategories [data-nav-position="arr-bot"] .swiper-button-next {
    top: auto;
    bottom: 0;
    margin-top: 0;
}
#subcategories .swiper-button-prev.swiper-button-disabled,
#subcategories .swiper-button-next.swiper-button-disabled {
    opacity: .35;
    cursor: auto;
    pointer-events: none;
}

/* ===== PAGINATION DOTS ===== */
#subcategories .swiper-pagination {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}
#subcategories .swiper-pagination-bullet {
    background: var(--alfa-glass, whitesmoke);
    opacity: 0.7;
    width: 11px;
    height: 11px;
    margin: 0 5px;
    display: inline-block;
    cursor: pointer;
    transition: background 0.3s;
    border-radius: 50%;
}
#subcategories .swiper-pagination-bullet-active {
    background: var(--alfa-gold, goldenrod);
    opacity: 1;
}

/* ===== PAGINATION POSITIONS ===== */
#subcategories .pag-top .swiper-pagination {
    order: -1;
    margin-bottom: 20px;
}
#subcategories .pag-bottom .swiper-pagination {
    margin-top: 20px;
}
#subcategories .pag-inside-left .swiper-pagination {
    position: absolute;
    bottom: 10px;
    left: 10px;
    text-align: left;
    background: rgba(0, 0, 0, 0.2);
    padding: 10px;
    border-radius: 4px;
}
#subcategories .pag-inside-right .swiper-pagination {
    position: absolute;
    bottom: 10px;
    right: 10px;
    text-align: right;
    background: rgba(0, 0, 0, 0.2);
    padding: 10px;
    border-radius: 4px;
}

/* ===== EMPTY STATE ===== */
#subcategories .carousel-element-empty {
    padding: 20px;
    margin: 20px 0;
}




/* ===== FILTERS ===== */

/* Titles */
#amazzing_filter.block .title_block {
	font-size: 1.25rem;
	font-weight: 400;
}
#amazzing_filter .af_subtitle {
	font-size: 1.1rem;
	font-weight: 400;
	text-transform: uppercase;
}

/* Selected filters - left column */
#left-column #amazzing_filter .selectedFilters .clearAll {
	background: var(--alfa-grey, #f3f3f3);
}
#left-column #amazzing_filter .selectedFilters .cf {
	background: transparent;
}
#left-column #amazzing_filter .selectedFilters .close {
	color: black;
	opacity: 1;
}

/* Selected filters - product list */
#content-wrapper .selectedFilters .clearAll {
	background: var(--alfa-grey, #f3f3f3);
}
#content-wrapper .selectedFilters .cf {
	background: transparent;
    border: 1px solid black;
    border-radius: 15px;
}
#content-wrapper .selectedFilters .cf .close {
	color: black;
	opacity: 1;
}

/* Slider */
#amazzing_filter .slider-bar {
	background: var(--alfa-grey, #f3f3f3);
}
#amazzing_filter .selected-bar {
	background: var(--color-light, #b3924a);
}
#amazzing_filter .pointer {
	background: white;
	border-color: var(--color-primary, #cab282);
}

/* Checkboxes */
#amazzing_filter .af_filter .checkbox {
    appearance: none;
    width: 1.15em;
    height: 1.15em;
    border: 1px solid black;
    border-radius: 0;
    display: grid;
    place-content: center;
    background: white;
    color: white;
    margin-left: 2px;
}
#amazzing_filter .af_filter .checkbox:checked {
    background: var(--color-primary, #b3924a);
    border-color: var(--color-primary, #b3924a);
}
#amazzing_filter .af_filter .checkbox::before {
    content: '';
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 0.12s transform ease-in-out;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    background: currentColor;
}
#amazzing_filter .af_filter .checkbox:checked::before {
    transform: scale(1);
}

/**/


/* ===== SORT ===== */

/* select */
#category .products-sort-order .select-title {
    border-radius: 0;
}
/* dropdown */
#category .products-sort-order .dropdown-menu {
    border: 1px solid #dee2e6;
    border-radius: 0;
    width: 100%;
}
#category .products-sort-order .dropdown-menu .dropdown-item {
    white-space: normal;
}
#category .products-sort-order .dropdown-menu .dropdown-item:not(.current):hover {
    background: #dfd1b4;
    background: color-mix(in oklab, var(--color-light, #cab282) 60%, white 40%);
    color: black;
}
#category .products-sort-order .dropdown-menu .current {
    background: var(--color-light, #cab282);
    color: black;
}


/* ===== Products ===== */

/* Quick view (not compatible with addons) */
#category .product-miniature__quickview {
    display: none !important;
}


#category .total-products {
    align-items: center;
}
#category .listing-style {
    font-size: 1.25rem;
    margin-top: 2px;
    margin-right: 0.5rem;
}
#category .listing-style [class*="product-view-mode"] {
    cursor: pointer;
}

#category .listing-style {
    display: none;
}

@media screen and (min-width: 576px) {
    #category .listing-style {
        display: initial;
    }
    #category.category-mode-grid {}
    #category.category-mode-list #js-product-list .products {}
    #category.category-mode-list #js-product-list .products .product-miniature {
        flex: 1 1 100%;
        width: 100%;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .card {
        display: grid;
        /* grid-template-columns: minmax(110px, 180px) minmax(0, 1fr) auto; */
        grid-template-columns: minmax(110px, 120px) minmax(0, 1fr) auto;
        grid-template-rows: auto 1fr;
        grid-template-areas:
            "image flags price"
            "image title price";
        column-gap: 1rem;
        row-gap: 1rem;
        /* align-items: center; */
        padding: 1rem;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .card:hover {
        background: #fafafa;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__link,
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__infos,
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__infos__top,
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__infos__bottom {
        display: contents;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-flags {
        grid-area: flags;
        margin: 0;
        justify-self: start;
        align-self: end;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__image-container {
        grid-area: image;
        /* max-width: 180px; */
        max-width: 120px;
        width: 100%;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .thumbnail-container {
        max-height: 200px;
        /* max-width: 180px; */
        max-width: 120px;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__title {
        grid-area: title;
        align-self: start;
        margin: 0;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__prices {
        grid-area: price;
        /* align-self: center; */
        justify-self: end;
        text-align: right;
        white-space: nowrap;
    }
    #category.category-mode-list #js-product-list .products .product-miniature .product-miniature__variants {
        display: none;
    }
}






/* ===== RESPONSIVE ===== */
@media screen and (max-width: 768px) {

    #subcategories .swiper-button-prev,
    #subcategories .swiper-button-next {
        width: 30px;
        height: 30px;
        font-size: 16px;
    }
}

@media screen and (max-width: 480px) {

    #subcategories .swiper-button-prev,
    #subcategories .swiper-button-next {
        width: 25px;
        height: 25px;
        font-size: 14px;
    }

    #subcategories .swiper-pagination-bullet {
        width: 8px;
        height: 8px;
        margin: 0 3px;
    }
}


@media (max-width: 1024px) {
    #subcategories .carousel-element-wrapper {
        /* 19px arrow + 2 px gap in figma = 21px */
        padding-left: 21px;
        padding-right: 21px;
    }
    #subcategories .swiper-button-prev,
    #subcategories .swiper-button-next {
        width: 19px;
        height: 19px;
    }
    #subcategories .carousel-element-wrapper .arr-bot .swiper-button-prev,
    #subcategories .carousel-element-wrapper .arr-bot .swiper-button-next {
        bottom: 8px;
    }
}


@media screen and (min-width: 1025px) {
    #subcategories .swiper-slide-active,
    #subcategories [data-slides-per-view="2"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view="3"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view="4"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view="3"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view="4"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view="4"] .swiper-slide-active + div + div + div {
        opacity: 1;
        visibility: visible;
    }
}
@media screen and (min-width: 768px) and (max-width: 1024px) {
    #subcategories .swiper {
        max-width: calc(100% - 2 * 1rem);
    }
    #subcategories .swiper-wrapper {
        margin-left: 1rem;
        margin-right: 1rem;
    }
    #subcategories .swiper-button-prev {
        left: -1rem;
    }
    #subcategories .swiper-button-next {
        right: -3rem;
    }
    #subcategories .swiper-slide-active,
    #subcategories [data-slides-per-view-tablet="2"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-tablet="3"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-tablet="4"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-tablet="3"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view-tablet="4"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view-tablet="4"] .swiper-slide-active + div + div + div {
        opacity: 1;
        visibility: visible;
    }
}
@media screen and (max-width: 767px) {
    #subcategories .swiper-slide-active,
    #subcategories [data-slides-per-view-mobile="2"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-mobile="3"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-mobile="4"] .swiper-slide-active + div,
    #subcategories [data-slides-per-view-mobile="3"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view-mobile="4"] .swiper-slide-active + div + div,
    #subcategories [data-slides-per-view-mobile="4"] .swiper-slide-active + div + div + div {
        opacity: 1;
        visibility: visible;
    }
}



/* RESPONSIVE */

/* XXL larger desktops >= 1400 */
@media screen and (min-width: 1400px) { /* 1401 - inf */
}
/* XL large desktops >= 1200 */
@media screen and (max-width: 1399.98px) { /* 1201 - 1400 */
}
/* LG desktops >= 992 */
@media screen and (max-width: 1199.98px) { /* 993 - 1200 */
}
/* MD tablets >= 768 */
@media screen and (max-width: 991.98px) { /* 769 - 992 */
}
/* SM phones >= 576 */
@media screen and (max-width: 767.98px) { /* 577 - 768 */
    #subcategories [data-slides-per-view-mobile="1"] .carousel-slide-item {
        opacity: 0;
        transition: opacity 0.5s;
    }
    #subcategories [data-slides-per-view-mobile="1"] .swiper-slide-active {
        opacity: 1;
    }
    #left-column {
        order: 10;
    }
}
/* XS small phones < 576 */
@media screen and (max-width: 575.98px) { /* 0 - 576 */
}



